<div class="data-removal">
  <h1 i18n="Data Removal | Header text data removal page @@headerDataRemovalPage">
    Deletion requests
  </h1>

  <p i18n="Data Removal Description | Description data removal @@dataRemovalDescription">
    Data stored in the LRS (Learning Record Store) can be removed with the help of delete requests. Polaris forwards the deletion requests to the LRS, which is then responsible for executing them. Depending on the concept, there may be a time delay, as the LRS primarily deletes data at night, for example.
  </p>

  <button
    nz-button
    (click)="requestDataRemoval()"
    i18n="Button Remove LRS data | Button text @@dataRemovalButtonText">
    Remove all data
  </button>

  <nz-table #removalTable [nzData]="jobs">
    <thead>
      <tr>
        <th>No.</th>
        <th i18n="Created At | Table column header @@createdAt">
          Created At
        </th>
        <th i18n="Executed At | Table column header @@executedAt">
          Execute At
        </th>
        <th i18n="Matched Statements | Column Header @@matchedStatements">
          Matched Statements
        </th>
        <th i18n="Description @@description">Description</th>
        <th>Status</th>
      </tr>
    </thead>

    <tbody>
      <tr *ngFor="let element of removalTable.data; index as idx; count as cnt;">
        <td>{{ cnt - idx }}</td>
        <td>{{ element.created_at | date: 'short' }}</td>
        <td>{{ element.execute_at | date: 'short' }}</td>
        <td>{{ element.matched_statements }}</td>
        <td>{{ element.description }}</td>
        <td>
          <div
            *ngIf="element.finished; else inQueue"
            i18n="Data Removal Completed | Job status completed @@dataRemovalCompleted">
            Completed
          </div>
          <ng-template #inQueue>
            <span i18n="Data Removal Queued | Job status queued @@dataRemovalQueued">
              in Queue
            </span>
          </ng-template>
        </td>
      </tr>
    </tbody>
  </nz-table>
</div>
